Name:           synce-software-manager
Version:        0.9.0
Release:        10%{?dist}
Summary:        Software manager for use with synce

Group:          Applications/Communications
License:        MIT
URL:            http://synce.sourceforge.net/ 
Source0:        http://dl.sf.net/synce/synce-software-manager-0.9.0.tar.gz 
Source1:        synce-software-manager.desktop
Patch1:         synce-software-manager-autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  librapi-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  pango-devel
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  glib2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  atk-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  ORBit2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext
BuildRequires:  autoconf automake libtool intltool

%description
%{summary}

%prep
%setup -q
%patch1 -p1
autoreconf -f

%build
%configure --disable-static --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_bindir}/synce-software-manager
%{_datadir}/synce/synce_software_manager.glade
%{_datadir}/applications/*

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-10
- Autorebuild for GCC 4.3

* Tue Dec 04 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-9
- fix BR
- fix #250036 (missing deps)
- fix #248371 (cannot find rapi)

* Tue Jul 17 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-8
- fix rapi problem with patch from Nikolay Ulyanitsky (#248371)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.0-7
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.9.0-6
- FE6 rebuild
- fix BR

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.9.0-5
- Rebuild for Fedora Extras 5

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.9.0-4
- add dist

* Fri Dec 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.9.0-3
- add .desktop file

* Thu Dec 08 2005 Jef Spaleta <jspaleta[AT]gmail.com> 0.9.0-2
- Specfile cleanups

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.9.0-1
- Initial Release
